classification
Title: Remove the support of the exclude argument in tarfile.TarFile.add()
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: lars.gustaebel, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2017-01-08 18:22 by serhiy.storchaka, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
remove_tarfile_add_exclude.patch serhiy.storchaka, 2017-01-08 18:22 review
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (2)
msg285002 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-01-08 18:22
Proposed patch removes the support of the exclude argument in tarfile.TarFile.add(). It was deprecated in 2.7 and 3.2. The filter argument that supersedes it is available in all maintained releases.
msg285386 - (view) Author: Roundup Robot (python-dev) Date: 2017-01-13 11:25
New changeset 4e23948f2df2 by Serhiy Storchaka in branch 'default':
Issue #29210:  Removed support of deprecated argument "exclude" in
https://hg.python.org/cpython/rev/4e23948f2df2
History
Date User Action Args
2017-03-31 16:36:12dstufftsetpull_requests: + pull_request879
2017-01-13 11:26:23serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-01-13 11:25:43python-devsetnosy: + python-dev
messages: + msg285386
2017-01-13 11:20:33serhiy.storchakasetassignee: serhiy.storchaka
2017-01-08 18:22:27serhiy.storchakacreate